import { axios } from '@/utils/request'

// 重置密码
export const resetPSD = params => {
  return axios({
    url: 'employee/restPWD',
    data: params,
    method: 'POST'
  })
}

// 获取列表数据
export const getUserList = params => {
  const url = `employee/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 设置为负责人
export const setManager = params => {
  return axios({
    url: `employee/setManager`,
    data: params,
    method: 'post'
  })
}

// 删除用户接口
export const delectUser = params => {
  return axios({
    url: `employee/del/${params.id}`,
    data: {},
    method: 'get'
  })
}

// 新增/编辑保存接口
export const saveUser = params => {
  return axios({
    url: 'employee/save',
    data: params,
    method: 'POST'
  })
}

// 获取角色列表数据
export const getRoleList = params => {
  return axios.request({
    url: '/mdrole/findAll',
    data: params,
    method: 'POST'
  })
}
