import {
  UserLayout,
  BasicLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '首页'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hidden: true
      }
    },
    {
      path: '/changePwd',
      name: 'changePwd',
      component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
      meta: {
        title: '修改密码',
        icon: 'home',
        hidden: true
      }
    }
    ]
  },
  // Car washing machine management center
  {
    path: '/CarWashManagement',
    redirect: '/CarWashManagement/CarWashManagement',
    component: PageView,
    meta: {
      title: '洗车机管理中心',
      icon: 'setting',
      permission: 'M_wash_0'
    },
    children: [{
      path: '/CarWashManagement/CarWashManagement',
      name: 'CarWashManagement',
      component: () => import('@/views/CarWashManagement/CarWashManagement.vue'),
      meta: {
        title: '洗车网点管理',
        icon: 'database',
        permission: 'M_wash_list'
      }
    }]
  },
  {
    path: '/Order',
    redirect: '/Order/OrderCenter',
    name: 'Order',
    component: PageView,
    meta: {
      title: '订单中心',
      icon: 'snippets',
      permission: 'M_order_0'
    },
    children: [{
      path: '/Order/OrderCenter',
      name: 'OrderCenter',
      component: () => import('@/views/Order/OrderCenter.vue'),
      meta: {
        title: '订单记录',
        icon: 'file-text',
        permission: 'M_order_list'
      }
    }]
  },
  // {
  //   path: '/RefundRecord',
  //   redirect: '/RefundRecord/RefundRecord',
  //   component: PageView,
  //   meta: {
  //     title: '退单记录',
  //     icon: 'setting'
  //     // permission: 'M_setting_0'
  //   },
  //   children: [{
  //     path: '/RefundRecord/RefundRecord',
  //     name: 'RefundRecord',
  //     component: () => import('@/views/RefundRecord/RefundRecord.vue'),
  //     meta: {
  //       title: '退单记录',
  //       icon: 'setting'
  //       // permission: 'M_sys_dataDictionary'
  //     }
  //   }
  //   ]
  // },
  {
    path: '/menusAuth',
    redirect: '/bnSetting/menusAuth',
    component: PageView,
    meta: {
      title: '菜单管理',
      icon: 'bars'
      // permission: 'M_menusAuth_0'
    },
    children: [
      {
        path: '/menusAuth/adminMenus',
        name: 'adminMenus',
        component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/adminMenus.vue'),
        meta: {
          title: '运营菜单管理',
          icon: 'appstore',
          permission: 'M_auth_menu'
        }
      },
      {
        path: '/menusAuth/menu',
        name: 'powerMenu',
        component: () => import(/* webpackChunkName: "auth" */ '@/views/power/menu/menu.vue'),
        meta: {
          title: '卡券菜单管理',
          icon: 'profile'
          // permission: 'M_menusAuth_menu'
        }
      },
      {
        path: '/menusAuth/storeMenus',
        name: 'storeMenus',
        component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/storeMenus.vue'),
        meta: {
          title: '发券菜单管理',
          icon: 'shop'
          // permission: 'M_menusAuth_storeMenus'
        }
      }
    ]
  },
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '运营权限管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [
      {
        path: '/auth/userList',
        name: 'powerUserList',
        component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
        meta: {
          title: '用户管理',
          icon: 'user',
          permission: 'M_auth_userList'
        }
      },
      {
        path: '/auth/roleList',
        name: 'powerRoleList',
        component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
        meta: {
          title: '角色管理',
          icon: 'solution',
          permission: 'M_auth_roleList'
        }
      }
    ]
  },
  {
    path: '/CardVoucherAuth',
    redirect: '/CardVoucherAuth/userList',
    component: PageView,
    meta: {
      title: '卡券权限管理',
      icon: 'lock'
      // permission: 'M_CardVoucherAuth_0'
    },
    children: [
      {
        path: '/CardVoucherAuth/userList',
        name: 'CardUserList',
        component: () => import(/* webpackChunkName: "CardVoucherAuth" */ '@/views/CardVoucherAuth/user/userList.vue'),
        meta: {
          title: '用户管理',
          icon: 'user'
          // permission: 'M_CardVoucherAuth_userList'
        }
      },
      {
        path: '/CardVoucherAuth/roleList',
        name: 'CardRoleList',
        component: () => import(/* webpackChunkName: "CardVoucherAuth" */ '@/views/CardVoucherAuth/role/roleList.vue'),
        meta: {
          title: '角色管理',
          icon: 'solution'
          // permission: 'M_CardVoucherAuth_roleList'
        }
      }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting',
      permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database',
        permission: 'M_sys_dataDictionary'
      }
    }
      // 暂时屏蔽,后期可能需要
      // {
      //   path: '/setting/register',
      //   name: 'powerRegister',
      //   component: () => import( /* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
      //   meta: {
      //     title: '参数管理',
      //     icon: 'key'
      //     // permission: 'M_sys_register'
      //   }
      // },
      // 暂时屏蔽,后期可能需要
      // {
      //   path: '/setting/jobs',
      //   name: 'powerJobs',
      //   component: () => import( /* webpackChunkName: "setting" */ '@/views/power/job/jobs.vue'),
      //   meta: {
      //     title: '定时器',
      //     icon: 'alert'
      //     // permission: 'M_sys_job'
      //   }
      // }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
